New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Add simple python3 compatibility fix #119

Merged
merged 2 commits into from Aug 23, 2015

Conversation

Projects
None yet
3 participants
@mexicarne
Contributor

mexicarne commented Aug 23, 2015

This resolves the package build with python 3.x

setup.py Outdated
@@ -22,7 +22,11 @@
install_reqs += ['argparse']
tests_reqs += ['unittest2']
readme = open('README.rst').read()
if sys.version_info[0] == 3:

This comment has been minimized.

@ThiefMaster

ThiefMaster Aug 23, 2015

Contributor

Better check for >2. Assume that a future Python 4 is compatible unless stated otherwise.

Update the version check
To assume that future python versions will be compatible with this
syntax.

Suggested by: ThiefMaster
@tony

This comment has been minimized.

Member

tony commented Aug 23, 2015

This is a python fix for py-tmuxp @ https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=201564.

@mexicarne Thank you. Want to update it to use >2 like @ThiefMaster mentioned?

@mexicarne

This comment has been minimized.

Contributor

mexicarne commented Aug 23, 2015

Yes, I just committed the updated check as was suggested.

@tony

This comment has been minimized.

Member

tony commented Aug 23, 2015

@mexicarne Solid. Let's wait for tests to pass, then we'll update the changelog, bump the version and post on pypi. 😄

tony added a commit that referenced this pull request Aug 23, 2015

Merge pull request #119 from mexicarne/master
Add simple python3 compatibility fix

@tony tony merged commit 3b5149e into tmux-python:master Aug 23, 2015

1 check passed

continuous-integration/travis-ci/pr The Travis CI build passed
Details
@mexicarne

This comment has been minimized.

Contributor

mexicarne commented Aug 23, 2015

@tony So, all set. Please add some comment with your maintainer approval to bugzilla ticket after you done updating on pypi, so I can update it in FreeBSD ports. Thanks.

@ThiefMaster

This comment has been minimized.

Contributor

ThiefMaster commented Aug 23, 2015

@mexicarne not applicable here anymore since the PR is already merged, but generally it's better to amend and force-push simple improvements on a PR instead of adding a separate commit

@mexicarne

This comment has been minimized.

Contributor

mexicarne commented Aug 23, 2015

@ThiefMaster will do next time, thanks.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment